# Guide Titles, Descriptions, and Artwork

Apply the [🏷️ Guide Titles, Descriptions, and Artwork](/quick-start/explainer-videos/set-titles-and-images.md) recipe in C# to steer naming and visuals for `outputType: "video"` responses.

```csharp
// Requires .NET 7+ for raw string literals.
using System;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;

var token = Environment.GetEnvironmentVariable("AUTOCONTENT_TOKEN") ?? "YOUR_API_TOKEN";
var endpoint = "https://api.autocontentapi.com/content/Create";

var payloadJson = """
{
  "outputType": "video",
  "resources": [
    { "type": "youtube", "content": "https://www.youtube.com/watch?v=dQw4w9WgXcQ" }
  ],
  "text": "Summarize this tutorial into a 90-second explainer for enterprise buyers",
  "title": "Modern Identity Security in 90 Seconds",
  "titlePrompt": "Keep it punchy and benefits-forward",
  "descriptionPrompt": "Include a one-sentence CTA to download the whitepaper",
  "thumbnailImagePrompt": "Flat illustration of a secure cloud, teal and navy palette, minimal text",
  "introImagePrompt": "Logo lockup on gradient with subtle motion trails"
}
""";

using var client = new HttpClient();
using var request = new HttpRequestMessage(HttpMethod.Post, endpoint)
{
    Content = new StringContent(payloadJson, Encoding.UTF8, "application/json")
};
request.Headers.Authorization = new AuthenticationHeaderValue("Bearer", token);
request.Headers.Accept.Add(new MediaTypeWithQualityHeaderValue("application/json"));

var response = await client.SendAsync(request);
var body = await response.Content.ReadAsStringAsync();

if (!response.IsSuccessStatusCode)
{
    Console.Error.WriteLine("Request failed: " + (int)response.StatusCode + " " + response.ReasonPhrase);
    Console.Error.WriteLine(body);
    Environment.Exit(1);
}

Console.WriteLine("Request accepted:");
Console.WriteLine(body);
```

Set `YOUR_API_TOKEN` (or `AUTOCONTENT_TOKEN`) before running.

**See also**

* [Scenario overview](/quick-start/explainer-videos/set-titles-and-images.md)
* [C# guide](https://github.com/miguelpieras/autocontentapi-docs/blob/main/code-samples/csharp.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.autocontentapi.com/code-samples/explainer-videos/csharp/set-titles-and-images.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
